aboutsummaryrefslogtreecommitdiffstats
path: root/community/gst-plugins-good
diff options
context:
space:
mode:
Diffstat (limited to 'community/gst-plugins-good')
-rw-r--r--community/gst-plugins-good/APKBUILD23
1 files changed, 12 insertions, 11 deletions
diff --git a/community/gst-plugins-good/APKBUILD b/community/gst-plugins-good/APKBUILD
index 4a74706c37..1195489529 100644
--- a/community/gst-plugins-good/APKBUILD
+++ b/community/gst-plugins-good/APKBUILD
@@ -1,12 +1,12 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gst-plugins-good
-pkgver=1.18.5
-pkgrel=0
+pkgver=1.20.2
+pkgrel=2
pkgdesc="GStreamer streaming media framework good plug-ins"
url="https://gstreamer.freedesktop.org"
arch="all"
license="GPL-2.0-or-later LGPL-2.0-or-later"
-subpackages="$pkgname-lang $pkgname-gtk"
+subpackages="$pkgname-lang $pkgname-gtk $pkgname-qt"
replaces="gst-plugins-good1"
makedepends="cairo-dev flac-dev gdk-pixbuf-dev glib-dev gst-plugins-base-dev
gstreamer-dev gtk+3.0-dev jack-dev lame-dev libavc1394-dev libcaca-dev
@@ -14,16 +14,16 @@ makedepends="cairo-dev flac-dev gdk-pixbuf-dev glib-dev gst-plugins-base-dev
libogg-dev libpng-dev libshout-dev libsm-dev libsoup-dev libvpx-dev
libxdamage-dev libxext-dev libxv-dev linux-headers meson mpg123-dev
orc-compiler orc-dev taglib-dev v4l-utils-dev wavpack-dev zlib-dev
- pulseaudio-dev"
+ pulseaudio-dev qt5-qtdeclarative-dev qt5-qtx11extras-dev"
ldpath="/usr/lib/gstreamer-1.0"
source="https://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-$pkgver.tar.xz"
-options="!check" # elements/souphttpsrc fails
case "$CARCH" in
- armhf) ;;
- *)
- makedepends="$makedepends qt5-qtdeclarative-dev qt5-qtx11extras-dev"
- subpackages="$subpackages $pkgname-qt"
+armhf|s390x|ppc64le)
+ # really flaky tests
+ options="$options !check"
+ ;;
+*)
;;
esac
@@ -46,12 +46,13 @@ build() {
abuild-meson \
-Dpackage-origin="https://alpinelinux.org" \
-Dpackage-name="GStreamer good plug-ins (Alpine Linux)" \
+ -Dtests="$(want_check && echo enabled || echo disabled)" \
. output
meson compile ${JOBS:+-j ${JOBS}} -C output
}
check() {
- make check
+ meson test -t 2 -v --no-rebuild -C output
}
package() {
@@ -83,5 +84,5 @@ gtk() {
}
sha512sums="
-c872f3bb1d5e8f1dcc9a226d161299de5113bc20694ef8c6b6d426f536e8b259a1751951fb69c9a7507ad42ef77b91aae9e4f6e957502dc94f48ed023ee70433 gst-plugins-good-1.18.5.tar.xz
+a10ea48fdfbe741e9bc63036b011748558f89968aaa525380ac99884c27463d190c0b49e2d98b4f554eee6ead8a5c5da3ba62e5b0b1fe54877598beccc68a933 gst-plugins-good-1.20.2.tar.xz
"